/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-19
 * 描述            ：生产订单进程表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.OrderManager.Plan.vo;
import java.io.Serializable;

import market.Mes.OrderManager.Plan.mapper.PlnProdorderStatisticMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PLN_PRODORDER_STATISTIC", namespace=PlnProdorderStatisticMapper.class)
public class PlnProdorderStatistic extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/** 
	 * 序列号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 生产订单号
	 */ 
	@Column
	private String prod_order_no;
	public String getProd_order_no() {
		return this.prod_order_no;
	}
	public void setProd_order_no(String prod_order_no) {
		this.prod_order_no = prod_order_no;
	}

	/** 
	 * 订单行号
	 */ 
	@Column
	private String order_no;
	public String getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	/** 
	 * 生产订单总量
	 */ 
	@Column
	private Double prod_ordered;
	public Double getProd_ordered() {
		return this.prod_ordered;
	}
	public void setProd_ordered(Double prod_ordered) {
		this.prod_ordered = prod_ordered;
	}

	/** 
	 * 生产订单总数
	 */ 
	@Column
	private Long prod_ordered_cnt;
	public Long getProd_ordered_cnt() {
		return this.prod_ordered_cnt;
	}
	public void setProd_ordered_cnt(Long prod_ordered_cnt) {
		this.prod_ordered_cnt = prod_ordered_cnt;
	}

	/** 
	 * 成品充当量
	 */ 
	@Column
	private Double replaced;
	public Double getReplaced() {
		return this.replaced;
	}
	public void setReplaced(Double replaced) {
		this.replaced = replaced;
	}

	/** 
	 * 成品充当数
	 */ 
	@Column
	private Integer replaced_cnt;
	public Integer getReplaced_cnt() {
		return this.replaced_cnt;
	}
	public void setReplaced_cnt(Integer replaced_cnt) {
		this.replaced_cnt = replaced_cnt;
	}

	/** 
	 * 未排产量
	 */ 
	@Column
	private Double unscheduled;
	public Double getUnscheduled() {
		return this.unscheduled;
	}
	public void setUnscheduled(Double unscheduled) {
		this.unscheduled = unscheduled;
	}

	/** 
	 * 未排产数
	 */ 
	@Column
	private Integer unscheduled_cnt;
	public Integer getUnscheduled_cnt() {
		return this.unscheduled_cnt;
	}
	public void setUnscheduled_cnt(Integer unscheduled_cnt) {
		this.unscheduled_cnt = unscheduled_cnt;
	}

	/** 
	 * 已纵剪设计_成品量
	 */ 
	@Column
	private Double lw_dsn;
	public Double getLw_dsn() {
		return this.lw_dsn;
	}
	public void setLw_dsn(Double lw_dsn) {
		this.lw_dsn = lw_dsn;
	}

	/** 
	 * 已纵剪设计_成品数
	 */ 
	@Column
	private Integer lw_dsn_cnt;
	public Integer getLw_dsn_cnt() {
		return this.lw_dsn_cnt;
	}
	public void setLw_dsn_cnt(Integer lw_dsn_cnt) {
		this.lw_dsn_cnt = lw_dsn_cnt;
	}

	/** 
	 * 已纵剪设计_原料量
	 */ 
	@Column
	private Double mat_lw_dsn;
	public Double getMat_lw_dsn() {
		return this.mat_lw_dsn;
	}
	public void setMat_lw_dsn(Double mat_lw_dsn) {
		this.mat_lw_dsn = mat_lw_dsn;
	}

	/** 
	 * 已纵剪设计_原料数
	 */ 
	@Column
	private Integer mat_lw_dsn_cnt;
	public Integer getMat_lw_dsn_cnt() {
		return this.mat_lw_dsn_cnt;
	}
	public void setMat_lw_dsn_cnt(Integer mat_lw_dsn_cnt) {
		this.mat_lw_dsn_cnt = mat_lw_dsn_cnt;
	}

	/** 
	 * 欠纵剪设计_成品量
	 */ 
	@Column
	private Double lw_undsn;
	public Double getLw_undsn() {
		return this.lw_undsn;
	}
	public void setLw_undsn(Double lw_undsn) {
		this.lw_undsn = lw_undsn;
	}

	/** 
	 * 欠纵剪设计_成品数
	 */ 
	@Column
	private Integer lw_undsn_cnt;
	public Integer getLw_undsn_cnt() {
		return this.lw_undsn_cnt;
	}
	public void setLw_undsn_cnt(Integer lw_undsn_cnt) {
		this.lw_undsn_cnt = lw_undsn_cnt;
	}

	/** 
	 * 纵剪排产_成品量
	 */ 
	@Column
	private Double lw_planed;
	public Double getLw_planed() {
		return this.lw_planed;
	}
	public void setLw_planed(Double lw_planed) {
		this.lw_planed = lw_planed;
	}

	/** 
	 * 纵剪排产_成品数
	 */ 
	@Column
	private Integer lw_planed_cnt;
	public Integer getLw_planed_cnt() {
		return this.lw_planed_cnt;
	}
	public void setLw_planed_cnt(Integer lw_planed_cnt) {
		this.lw_planed_cnt = lw_planed_cnt;
	}

	/** 
	 * 已纵剪_成品量
	 */ 
	@Column
	private Double lw;
	public Double getLw() {
		return this.lw;
	}
	public void setLw(Double lw) {
		this.lw = lw;
	}

	/** 
	 * 已纵剪_成品数
	 */ 
	@Column
	private Integer lw_cnt;
	public Integer getLw_cnt() {
		return this.lw_cnt;
	}
	public void setLw_cnt(Integer lw_cnt) {
		this.lw_cnt = lw_cnt;
	}

	/** 
	 * 已纵剪_原料量
	 */ 
	@Column
	private Double mat_lw;
	public Double getMat_lw() {
		return this.mat_lw;
	}
	public void setMat_lw(Double mat_lw) {
		this.mat_lw = mat_lw;
	}

	/** 
	 * 已纵剪_原料数
	 */ 
	@Column
	private Integer mat_lw_cnt;
	public Integer getMat_lw_cnt() {
		return this.mat_lw_cnt;
	}
	public void setMat_lw_cnt(Integer mat_lw_cnt) {
		this.mat_lw_cnt = mat_lw_cnt;
	}

	/** 
	 * 纵剪剪废_成品量
	 */ 
	@Column
	private Double lw_wasted;
	public Double getLw_wasted() {
		return this.lw_wasted;
	}
	public void setLw_wasted(Double lw_wasted) {
		this.lw_wasted = lw_wasted;
	}

	/** 
	 * 纵剪剪废_成品数
	 */ 
	@Column
	private Long lw_wasted_cnt;
	public Long getLw_wasted_cnt() {
		return this.lw_wasted_cnt;
	}
	public void setLw_wasted_cnt(Long lw_wasted_cnt) {
		this.lw_wasted_cnt = lw_wasted_cnt;
	}

	/** 
	 * 纵剪剪废_原料量
	 */ 
	@Column
	private Double mat_lw_wasted;
	public Double getMat_lw_wasted() {
		return this.mat_lw_wasted;
	}
	public void setMat_lw_wasted(Double mat_lw_wasted) {
		this.mat_lw_wasted = mat_lw_wasted;
	}

	/** 
	 * 纵剪剪废_原料数
	 */ 
	@Column
	private Long mat_lw_wasted_cnt;
	public Long getMat_lw_wasted_cnt() {
		return this.mat_lw_wasted_cnt;
	}
	public void setMat_lw_wasted_cnt(Long mat_lw_wasted_cnt) {
		this.mat_lw_wasted_cnt = mat_lw_wasted_cnt;
	}

	/** 
	 * 纵剪脱单_原料量
	 */ 
	@Column
	private Double mat_lw_divorced;
	public Double getMat_lw_divorced() {
		return this.mat_lw_divorced;
	}
	public void setMat_lw_divorced(Double mat_lw_divorced) {
		this.mat_lw_divorced = mat_lw_divorced;
	}

	/** 
	 * 纵剪脱单_原料数
	 */ 
	@Column
	private Integer mat_lw_divorced_cnt;
	public Integer getMat_lw_divorced_cnt() {
		return this.mat_lw_divorced_cnt;
	}
	public void setMat_lw_divorced_cnt(Integer mat_lw_divorced_cnt) {
		this.mat_lw_divorced_cnt = mat_lw_divorced_cnt;
	}

	/** 
	 * 纵剪充当_原料量
	 */ 
	@Column
	private Double mat_lw_replaced;
	public Double getMat_lw_replaced() {
		return this.mat_lw_replaced;
	}
	public void setMat_lw_replaced(Double mat_lw_replaced) {
		this.mat_lw_replaced = mat_lw_replaced;
	}

	/** 
	 * 纵剪充当_原料数
	 */ 
	@Column
	private Integer mat_lw_replaced_cnt;
	public Integer getMat_lw_replaced_cnt() {
		return this.mat_lw_replaced_cnt;
	}
	public void setMat_lw_replaced_cnt(Integer mat_lw_replaced_cnt) {
		this.mat_lw_replaced_cnt = mat_lw_replaced_cnt;
	}

	/** 
	 * 纵剪补剪原料重
	 */ 
	@Column
	private Double extra_lw;
	public Double getExtra_lw() {
		return this.extra_lw;
	}
	public void setExtra_lw(Double extra_lw) {
		this.extra_lw = extra_lw;
	}

	/** 
	 * 纵剪补剪原料数
	 */ 
	@Column
	private Long extra_lw_cnt;
	public Long getExtra_lw_cnt() {
		return this.extra_lw_cnt;
	}
	public void setExtra_lw_cnt(Long extra_lw_cnt) {
		this.extra_lw_cnt = extra_lw_cnt;
	}

	/** 
	 * 纵剪补剪次数
	 */ 
	@Column
	private Long extra_lw_times;
	public Long getExtra_lw_times() {
		return this.extra_lw_times;
	}
	public void setExtra_lw_times(Long extra_lw_times) {
		this.extra_lw_times = extra_lw_times;
	}

	/** 
	 * 成品充当次数
	 */ 
	@Column
	private Integer replaced_times;
	public Integer getReplaced_times() {
		return this.replaced_times;
	}
	public void setReplaced_times(Integer replaced_times) {
		this.replaced_times = replaced_times;
	}

	/** 
	 * 成品脱单次数
	 */ 
	@Column
	private Integer divorced_times;
	public Integer getDivorced_times() {
		return this.divorced_times;
	}
	public void setDivorced_times(Integer divorced_times) {
		this.divorced_times = divorced_times;
	}

	/** 
	 * 入库成品量
	 */ 
	@Column
	private Double stocked;
	public Double getStocked() {
		return this.stocked;
	}
	public void setStocked(Double stocked) {
		this.stocked = stocked;
	}

	/** 
	 * 入库成品数
	 */ 
	@Column
	private Integer stocked_cnt;
	public Integer getStocked_cnt() {
		return this.stocked_cnt;
	}
	public void setStocked_cnt(Integer stocked_cnt) {
		this.stocked_cnt = stocked_cnt;
	}

	/** 
	 * 已横剪设计_成品量
	 */ 
	@Column
	private Double cl_dsn;
	public Double getCl_dsn() {
		return this.cl_dsn;
	}
	public void setCl_dsn(Double cl_dsn) {
		this.cl_dsn = cl_dsn;
	}

	/** 
	 * 已横剪设计_成品数
	 */ 
	@Column
	private Integer cl_dsn_cnt;
	public Integer getCl_dsn_cnt() {
		return this.cl_dsn_cnt;
	}
	public void setCl_dsn_cnt(Integer cl_dsn_cnt) {
		this.cl_dsn_cnt = cl_dsn_cnt;
	}

	/** 
	 * 已横剪设计_原料量
	 */ 
	@Column
	private Double mat_cl_dsn;
	public Double getMat_cl_dsn() {
		return this.mat_cl_dsn;
	}
	public void setMat_cl_dsn(Double mat_cl_dsn) {
		this.mat_cl_dsn = mat_cl_dsn;
	}

	/** 
	 * 已横剪设计_原料数
	 */ 
	@Column
	private Integer mat_cl_dsn_cnt;
	public Integer getMat_cl_dsn_cnt() {
		return this.mat_cl_dsn_cnt;
	}
	public void setMat_cl_dsn_cnt(Integer mat_cl_dsn_cnt) {
		this.mat_cl_dsn_cnt = mat_cl_dsn_cnt;
	}

	/** 
	 * 欠横剪设计_成品量
	 */ 
	@Column
	private Double cl_undsn;
	public Double getCl_undsn() {
		return this.cl_undsn;
	}
	public void setCl_undsn(Double cl_undsn) {
		this.cl_undsn = cl_undsn;
	}

	/** 
	 * 欠横剪设计_成品数
	 */ 
	@Column
	private Integer cl_undsn_cnt;
	public Integer getCl_undsn_cnt() {
		return this.cl_undsn_cnt;
	}
	public void setCl_undsn_cnt(Integer cl_undsn_cnt) {
		this.cl_undsn_cnt = cl_undsn_cnt;
	}

	/** 
	 * 横剪排产_成品量
	 */ 
	@Column
	private Double cl_planed;
	public Double getCl_planed() {
		return this.cl_planed;
	}
	public void setCl_planed(Double cl_planed) {
		this.cl_planed = cl_planed;
	}

	/** 
	 * 横剪排产_成品数
	 */ 
	@Column
	private Integer cl_planed_cnt;
	public Integer getCl_planed_cnt() {
		return this.cl_planed_cnt;
	}
	public void setCl_planed_cnt(Integer cl_planed_cnt) {
		this.cl_planed_cnt = cl_planed_cnt;
	}

	/** 
	 * 已横剪_成品量
	 */ 
	@Column
	private Double cl;
	public Double getCl() {
		return this.cl;
	}
	public void setCl(Double cl) {
		this.cl = cl;
	}

	/** 
	 * 已横剪_成品数
	 */ 
	@Column
	private Integer cl_cnt;
	public Integer getCl_cnt() {
		return this.cl_cnt;
	}
	public void setCl_cnt(Integer cl_cnt) {
		this.cl_cnt = cl_cnt;
	}

	/** 
	 * 已横剪_原料量
	 */ 
	@Column
	private Double mat_cl;
	public Double getMat_cl() {
		return this.mat_cl;
	}
	public void setMat_cl(Double mat_cl) {
		this.mat_cl = mat_cl;
	}

	/** 
	 * 已横剪_原料数
	 */ 
	@Column
	private Integer mat_cl_cnt;
	public Integer getMat_cl_cnt() {
		return this.mat_cl_cnt;
	}
	public void setMat_cl_cnt(Integer mat_cl_cnt) {
		this.mat_cl_cnt = mat_cl_cnt;
	}

	/** 
	 * 横剪剪废_成品量
	 */ 
	@Column
	private Double cl_wasted;
	public Double getCl_wasted() {
		return this.cl_wasted;
	}
	public void setCl_wasted(Double cl_wasted) {
		this.cl_wasted = cl_wasted;
	}

	/** 
	 * 横剪剪废_成品数
	 */ 
	@Column
	private Long cl_wasted_cnt;
	public Long getCl_wasted_cnt() {
		return this.cl_wasted_cnt;
	}
	public void setCl_wasted_cnt(Long cl_wasted_cnt) {
		this.cl_wasted_cnt = cl_wasted_cnt;
	}

	/** 
	 * 横剪剪废_原料量
	 */ 
	@Column
	private Double mat_cl_wasted;
	public Double getMat_cl_wasted() {
		return this.mat_cl_wasted;
	}
	public void setMat_cl_wasted(Double mat_cl_wasted) {
		this.mat_cl_wasted = mat_cl_wasted;
	}

	/** 
	 * 横剪剪废_原料数
	 */ 
	@Column
	private Long mat_cl_wasted_cnt;
	public Long getMat_cl_wasted_cnt() {
		return this.mat_cl_wasted_cnt;
	}
	public void setMat_cl_wasted_cnt(Long mat_cl_wasted_cnt) {
		this.mat_cl_wasted_cnt = mat_cl_wasted_cnt;
	}

	/** 
	 * 横剪脱单_原料量
	 */ 
	@Column
	private Double mat_cl_divorced;
	public Double getMat_cl_divorced() {
		return this.mat_cl_divorced;
	}
	public void setMat_cl_divorced(Double mat_cl_divorced) {
		this.mat_cl_divorced = mat_cl_divorced;
	}

	/** 
	 * 横剪脱单_原料数
	 */ 
	@Column
	private Integer mat_cl_divorced_cnt;
	public Integer getMat_cl_divorced_cnt() {
		return this.mat_cl_divorced_cnt;
	}
	public void setMat_cl_divorced_cnt(Integer mat_cl_divorced_cnt) {
		this.mat_cl_divorced_cnt = mat_cl_divorced_cnt;
	}

	/** 
	 * 横剪充当_原料量
	 */ 
	@Column
	private Double mat_cl_replaced;
	public Double getMat_cl_replaced() {
		return this.mat_cl_replaced;
	}
	public void setMat_cl_replaced(Double mat_cl_replaced) {
		this.mat_cl_replaced = mat_cl_replaced;
	}

	/** 
	 * 横剪充当_原料数
	 */ 
	@Column
	private Long mat_cl_replaced_cnt;
	public Long getMat_cl_replaced_cnt() {
		return this.mat_cl_replaced_cnt;
	}
	public void setMat_cl_replaced_cnt(Long mat_cl_replaced_cnt) {
		this.mat_cl_replaced_cnt = mat_cl_replaced_cnt;
	}

	/** 
	 * 横剪补剪原料重
	 */ 
	@Column
	private Double extra_cl;
	public Double getExtra_cl() {
		return this.extra_cl;
	}
	public void setExtra_cl(Double extra_cl) {
		this.extra_cl = extra_cl;
	}

	/** 
	 * 横剪补剪原料数
	 */ 
	@Column
	private Long extra_cl_cnt;
	public Long getExtra_cl_cnt() {
		return this.extra_cl_cnt;
	}
	public void setExtra_cl_cnt(Long extra_cl_cnt) {
		this.extra_cl_cnt = extra_cl_cnt;
	}

	/** 
	 * 横剪补剪次数
	 */ 
	@Column
	private Long extra_cl_times;
	public Long getExtra_cl_times() {
		return this.extra_cl_times;
	}
	public void setExtra_cl_times(Long extra_cl_times) {
		this.extra_cl_times = extra_cl_times;
	}

	/** 
	 * 已罩退设计_成品量
	 */ 
	@Column
	private Double an_dsn;
	public Double getAn_dsn() {
		return this.an_dsn;
	}
	public void setAn_dsn(Double an_dsn) {
		this.an_dsn = an_dsn;
	}

	/** 
	 * 已罩退设计_成品数
	 */ 
	@Column
	private Integer an_dsn_cnt;
	public Integer getAn_dsn_cnt() {
		return this.an_dsn_cnt;
	}
	public void setAn_dsn_cnt(Integer an_dsn_cnt) {
		this.an_dsn_cnt = an_dsn_cnt;
	}

	/** 
	 * 已罩退设计_原料量
	 */ 
	@Column
	private Double mat_an_dsn;
	public Double getMat_an_dsn() {
		return this.mat_an_dsn;
	}
	public void setMat_an_dsn(Double mat_an_dsn) {
		this.mat_an_dsn = mat_an_dsn;
	}

	/** 
	 * 已罩退设计_原料数
	 */ 
	@Column
	private Integer mat_an_dsn_cnt;
	public Integer getMat_an_dsn_cnt() {
		return this.mat_an_dsn_cnt;
	}
	public void setMat_an_dsn_cnt(Integer mat_an_dsn_cnt) {
		this.mat_an_dsn_cnt = mat_an_dsn_cnt;
	}

	/** 
	 * 欠罩退设计_成品量
	 */ 
	@Column
	private Double an_undsn;
	public Double getAn_undsn() {
		return this.an_undsn;
	}
	public void setAn_undsn(Double an_undsn) {
		this.an_undsn = an_undsn;
	}

	/** 
	 * 欠罩退设计_成品数
	 */ 
	@Column
	private Long an_undsn_cnt;
	public Long getAn_undsn_cnt() {
		return this.an_undsn_cnt;
	}
	public void setAn_undsn_cnt(Long an_undsn_cnt) {
		this.an_undsn_cnt = an_undsn_cnt;
	}

	/** 
	 * 罩退排产_成品量
	 */ 
	@Column
	private Double an_planed;
	public Double getAn_planed() {
		return this.an_planed;
	}
	public void setAn_planed(Double an_planed) {
		this.an_planed = an_planed;
	}

	/** 
	 * 罩退排产_成品数
	 */ 
	@Column
	private Integer an_planed_cnt;
	public Integer getAn_planed_cnt() {
		return this.an_planed_cnt;
	}
	public void setAn_planed_cnt(Integer an_planed_cnt) {
		this.an_planed_cnt = an_planed_cnt;
	}

	/** 
	 * 已罩退_成品量
	 */ 
	@Column
	private Double an;
	public Double getAn() {
		return this.an;
	}
	public void setAn(Double an) {
		this.an = an;
	}

	/** 
	 * 已罩退_成品数
	 */ 
	@Column
	private Long an_cnt;
	public Long getAn_cnt() {
		return this.an_cnt;
	}
	public void setAn_cnt(Long an_cnt) {
		this.an_cnt = an_cnt;
	}

	/** 
	 * 已罩退_原料量
	 */ 
	@Column
	private Double mat_an;
	public Double getMat_an() {
		return this.mat_an;
	}
	public void setMat_an(Double mat_an) {
		this.mat_an = mat_an;
	}

	/** 
	 * 已罩退_原料数
	 */ 
	@Column
	private Long mat_an_cnt;
	public Long getMat_an_cnt() {
		return this.mat_an_cnt;
	}
	public void setMat_an_cnt(Long mat_an_cnt) {
		this.mat_an_cnt = mat_an_cnt;
	}

	/** 
	 * 罩退作废_成品量
	 */ 
	@Column
	private Double an_wasted;
	public Double getAn_wasted() {
		return this.an_wasted;
	}
	public void setAn_wasted(Double an_wasted) {
		this.an_wasted = an_wasted;
	}

	/** 
	 * 罩退作废_成品数
	 */ 
	@Column
	private Long an_wasted_cnt;
	public Long getAn_wasted_cnt() {
		return this.an_wasted_cnt;
	}
	public void setAn_wasted_cnt(Long an_wasted_cnt) {
		this.an_wasted_cnt = an_wasted_cnt;
	}

	/** 
	 * 罩退作废_原料量
	 */ 
	@Column
	private Double mat_an_wasted;
	public Double getMat_an_wasted() {
		return this.mat_an_wasted;
	}
	public void setMat_an_wasted(Double mat_an_wasted) {
		this.mat_an_wasted = mat_an_wasted;
	}

	/** 
	 * 罩退作废_原料数
	 */ 
	@Column
	private Long mat_an_wasted_cnt;
	public Long getMat_an_wasted_cnt() {
		return this.mat_an_wasted_cnt;
	}
	public void setMat_an_wasted_cnt(Long mat_an_wasted_cnt) {
		this.mat_an_wasted_cnt = mat_an_wasted_cnt;
	}

	/** 
	 * 罩退脱单_原料量
	 */ 
	@Column
	private Double mat_an_divorced;
	public Double getMat_an_divorced() {
		return this.mat_an_divorced;
	}
	public void setMat_an_divorced(Double mat_an_divorced) {
		this.mat_an_divorced = mat_an_divorced;
	}

	/** 
	 * 罩退脱单_原料数
	 */ 
	@Column
	private Long mat_an_divorced_cnt;
	public Long getMat_an_divorced_cnt() {
		return this.mat_an_divorced_cnt;
	}
	public void setMat_an_divorced_cnt(Long mat_an_divorced_cnt) {
		this.mat_an_divorced_cnt = mat_an_divorced_cnt;
	}

	/** 
	 * 罩退充当_原料量
	 */ 
	@Column
	private Double mat_an_replaced;
	public Double getMat_an_replaced() {
		return this.mat_an_replaced;
	}
	public void setMat_an_replaced(Double mat_an_replaced) {
		this.mat_an_replaced = mat_an_replaced;
	}

	/** 
	 * 罩退充当_原料数
	 */ 
	@Column
	private Long mat_an_replaced_cnt;
	public Long getMat_an_replaced_cnt() {
		return this.mat_an_replaced_cnt;
	}
	public void setMat_an_replaced_cnt(Long mat_an_replaced_cnt) {
		this.mat_an_replaced_cnt = mat_an_replaced_cnt;
	}

	/** 
	 * 补退原料重
	 */ 
	@Column
	private Double extra_an;
	public Double getExtra_an() {
		return this.extra_an;
	}
	public void setExtra_an(Double extra_an) {
		this.extra_an = extra_an;
	}

	/** 
	 * 补退原料数
	 */ 
	@Column
	private Long extra_an_cnt;
	public Long getExtra_an_cnt() {
		return this.extra_an_cnt;
	}
	public void setExtra_an_cnt(Long extra_an_cnt) {
		this.extra_an_cnt = extra_an_cnt;
	}

	/** 
	 * 补退次数
	 */ 
	@Column
	private Long extra_an_times;
	public Long getExtra_an_times() {
		return this.extra_an_times;
	}
	public void setExtra_an_times(Long extra_an_times) {
		this.extra_an_times = extra_an_times;
	}

	/** 
	 * 已罩退设计_成品量2
	 */ 
	@Column
	private Double an_dsn2;
	public Double getAn_dsn2() {
		return this.an_dsn2;
	}
	public void setAn_dsn2(Double an_dsn2) {
		this.an_dsn2 = an_dsn2;
	}

	/** 
	 * 已罩退设计_成品数2
	 */ 
	@Column
	private Integer an_dsn_cnt2;
	public Integer getAn_dsn_cnt2() {
		return this.an_dsn_cnt2;
	}
	public void setAn_dsn_cnt2(Integer an_dsn_cnt2) {
		this.an_dsn_cnt2 = an_dsn_cnt2;
	}

	/** 
	 * 已罩退设计_原料量2
	 */ 
	@Column
	private Double mat_an_dsn2;
	public Double getMat_an_dsn2() {
		return this.mat_an_dsn2;
	}
	public void setMat_an_dsn2(Double mat_an_dsn2) {
		this.mat_an_dsn2 = mat_an_dsn2;
	}

	/** 
	 * 已罩退设计_原料数2
	 */ 
	@Column
	private Integer mat_an_dsn_cnt2;
	public Integer getMat_an_dsn_cnt2() {
		return this.mat_an_dsn_cnt2;
	}
	public void setMat_an_dsn_cnt2(Integer mat_an_dsn_cnt2) {
		this.mat_an_dsn_cnt2 = mat_an_dsn_cnt2;
	}

	/** 
	 * 欠罩退设计_成品量2
	 */ 
	@Column
	private Double an_undsn2;
	public Double getAn_undsn2() {
		return this.an_undsn2;
	}
	public void setAn_undsn2(Double an_undsn2) {
		this.an_undsn2 = an_undsn2;
	}

	/** 
	 * 欠罩退设计_成品数2
	 */ 
	@Column
	private Long an_undsn_cnt2;
	public Long getAn_undsn_cnt2() {
		return this.an_undsn_cnt2;
	}
	public void setAn_undsn_cnt2(Long an_undsn_cnt2) {
		this.an_undsn_cnt2 = an_undsn_cnt2;
	}

	/** 
	 * 罩退排产_成品量2
	 */ 
	@Column
	private Double an_planed2;
	public Double getAn_planed2() {
		return this.an_planed2;
	}
	public void setAn_planed2(Double an_planed2) {
		this.an_planed2 = an_planed2;
	}

	/** 
	 * 罩退排产_成品数2
	 */ 
	@Column
	private Long an_planed_cnt2;
	public Long getAn_planed_cnt2() {
		return this.an_planed_cnt2;
	}
	public void setAn_planed_cnt2(Long an_planed_cnt2) {
		this.an_planed_cnt2 = an_planed_cnt2;
	}

	/** 
	 * 已罩退_成品量2
	 */ 
	@Column
	private Double an2;
	public Double getAn2() {
		return this.an2;
	}
	public void setAn2(Double an2) {
		this.an2 = an2;
	}

	/** 
	 * 已罩退_成品数2
	 */ 
	@Column
	private Long an_cnt2;
	public Long getAn_cnt2() {
		return this.an_cnt2;
	}
	public void setAn_cnt2(Long an_cnt2) {
		this.an_cnt2 = an_cnt2;
	}

	/** 
	 * 已罩退_原料量2
	 */ 
	@Column
	private Double mat_an2;
	public Double getMat_an2() {
		return this.mat_an2;
	}
	public void setMat_an2(Double mat_an2) {
		this.mat_an2 = mat_an2;
	}

	/** 
	 * 已罩退_原料数2
	 */ 
	@Column
	private Long mat_an_cnt2;
	public Long getMat_an_cnt2() {
		return this.mat_an_cnt2;
	}
	public void setMat_an_cnt2(Long mat_an_cnt2) {
		this.mat_an_cnt2 = mat_an_cnt2;
	}

	/** 
	 * 罩退作废_成品量2
	 */ 
	@Column
	private Double an_wasted2;
	public Double getAn_wasted2() {
		return this.an_wasted2;
	}
	public void setAn_wasted2(Double an_wasted2) {
		this.an_wasted2 = an_wasted2;
	}

	/** 
	 * 罩退作废_成品数2
	 */ 
	@Column
	private Long an_wasted_cnt2;
	public Long getAn_wasted_cnt2() {
		return this.an_wasted_cnt2;
	}
	public void setAn_wasted_cnt2(Long an_wasted_cnt2) {
		this.an_wasted_cnt2 = an_wasted_cnt2;
	}

	/** 
	 * 罩退作废_原料量2
	 */ 
	@Column
	private Double mat_an_wasted2;
	public Double getMat_an_wasted2() {
		return this.mat_an_wasted2;
	}
	public void setMat_an_wasted2(Double mat_an_wasted2) {
		this.mat_an_wasted2 = mat_an_wasted2;
	}

	/** 
	 * 罩退作废_原料数2
	 */ 
	@Column
	private Long mat_an_wasted_cnt2;
	public Long getMat_an_wasted_cnt2() {
		return this.mat_an_wasted_cnt2;
	}
	public void setMat_an_wasted_cnt2(Long mat_an_wasted_cnt2) {
		this.mat_an_wasted_cnt2 = mat_an_wasted_cnt2;
	}

	/** 
	 * 罩退脱单_原料量2
	 */ 
	@Column
	private Double mat_an_divorced2;
	public Double getMat_an_divorced2() {
		return this.mat_an_divorced2;
	}
	public void setMat_an_divorced2(Double mat_an_divorced2) {
		this.mat_an_divorced2 = mat_an_divorced2;
	}

	/** 
	 * 罩退脱单_原料数2
	 */ 
	@Column
	private Long mat_an_divorced_cnt2;
	public Long getMat_an_divorced_cnt2() {
		return this.mat_an_divorced_cnt2;
	}
	public void setMat_an_divorced_cnt2(Long mat_an_divorced_cnt2) {
		this.mat_an_divorced_cnt2 = mat_an_divorced_cnt2;
	}

	/** 
	 * 罩退充当_原料量2
	 */ 
	@Column
	private Double mat_an_replaced2;
	public Double getMat_an_replaced2() {
		return this.mat_an_replaced2;
	}
	public void setMat_an_replaced2(Double mat_an_replaced2) {
		this.mat_an_replaced2 = mat_an_replaced2;
	}

	/** 
	 * 罩退充当_原料数2
	 */ 
	@Column
	private Long mat_an_replaced_cnt2;
	public Long getMat_an_replaced_cnt2() {
		return this.mat_an_replaced_cnt2;
	}
	public void setMat_an_replaced_cnt2(Long mat_an_replaced_cnt2) {
		this.mat_an_replaced_cnt2 = mat_an_replaced_cnt2;
	}

	/** 
	 * 补退原料重2
	 */ 
	@Column
	private Double extra_an2;
	public Double getExtra_an2() {
		return this.extra_an2;
	}
	public void setExtra_an2(Double extra_an2) {
		this.extra_an2 = extra_an2;
	}

	/** 
	 * 补退原料数2
	 */ 
	@Column
	private Long extra_an_cnt2;
	public Long getExtra_an_cnt2() {
		return this.extra_an_cnt2;
	}
	public void setExtra_an_cnt2(Long extra_an_cnt2) {
		this.extra_an_cnt2 = extra_an_cnt2;
	}

	/** 
	 * 补退次数2
	 */ 
	@Column
	private Long extra_an_times2;
	public Long getExtra_an_times2() {
		return this.extra_an_times2;
	}
	public void setExtra_an_times2(Long extra_an_times2) {
		this.extra_an_times2 = extra_an_times2;
	}



	/** 
	 * 已平整设计_成品量
	 */ 
	@Column
	private Double sr_dsn;
	public Double getSr_dsn() {
		return this.sr_dsn;
	}
	public void setSr_dsn(Double sr_dsn) {
		this.sr_dsn = sr_dsn;
	}

	/** 
	 * 已平整设计_成品数
	 */ 
	@Column
	private Long sr_dsn_cnt;
	public Long getSr_dsn_cnt() {
		return this.sr_dsn_cnt;
	}
	public void setSr_dsn_cnt(Long sr_dsn_cnt) {
		this.sr_dsn_cnt = sr_dsn_cnt;
	}

	/** 
	 * 已平整设计_原料量
	 */ 
	@Column
	private Double mat_sr_dsn;
	public Double getMat_sr_dsn() {
		return this.mat_sr_dsn;
	}
	public void setMat_sr_dsn(Double mat_sr_dsn) {
		this.mat_sr_dsn = mat_sr_dsn;
	}

	/** 
	 * 已平整设计_原料数
	 */ 
	@Column
	private Integer mat_sr_dsn_cnt;
	public Integer getMat_sr_dsn_cnt() {
		return this.mat_sr_dsn_cnt;
	}
	public void setMat_sr_dsn_cnt(Integer mat_sr_dsn_cnt) {
		this.mat_sr_dsn_cnt = mat_sr_dsn_cnt;
	}

	/** 
	 * 欠平整设计_成品量
	 */ 
	@Column
	private Double sr_undsn;
	public Double getSr_undsn() {
		return this.sr_undsn;
	}
	public void setSr_undsn(Double sr_undsn) {
		this.sr_undsn = sr_undsn;
	}

	/** 
	 * 欠平整设计_成品数
	 */ 
	@Column
	private Long sr_undsn_cnt;
	public Long getSr_undsn_cnt() {
		return this.sr_undsn_cnt;
	}
	public void setSr_undsn_cnt(Long sr_undsn_cnt) {
		this.sr_undsn_cnt = sr_undsn_cnt;
	}

	/** 
	 * 平整排产_成品量
	 */ 
	@Column
	private Double sr_planed;
	public Double getSr_planed() {
		return this.sr_planed;
	}
	public void setSr_planed(Double sr_planed) {
		this.sr_planed = sr_planed;
	}

	/** 
	 * 平整排产_成品数
	 */ 
	@Column
	private Integer sr_planed_cnt;
	public Integer getSr_planed_cnt() {
		return this.sr_planed_cnt;
	}
	public void setSr_planed_cnt(Integer sr_planed_cnt) {
		this.sr_planed_cnt = sr_planed_cnt;
	}

	/** 
	 * 已平整_成品量
	 */ 
	@Column
	private Double sr;
	public Double getSr() {
		return this.sr;
	}
	public void setSr(Double sr) {
		this.sr = sr;
	}

	/** 
	 * 已平整_成品数
	 */ 
	@Column
	private Long sr_cnt;
	public Long getSr_cnt() {
		return this.sr_cnt;
	}
	public void setSr_cnt(Long sr_cnt) {
		this.sr_cnt = sr_cnt;
	}

	/** 
	 * 已平整_原料量
	 */ 
	@Column
	private Double mat_sr;
	public Double getMat_sr() {
		return this.mat_sr;
	}
	public void setMat_sr(Double mat_sr) {
		this.mat_sr = mat_sr;
	}

	/** 
	 * 已平整_原料数
	 */ 
	@Column
	private Long mat_sr_cnt;
	public Long getMat_sr_cnt() {
		return this.mat_sr_cnt;
	}
	public void setMat_sr_cnt(Long mat_sr_cnt) {
		this.mat_sr_cnt = mat_sr_cnt;
	}

	/** 
	 * 平整作废_成品量
	 */ 
	@Column
	private Double sr_wasted;
	public Double getSr_wasted() {
		return this.sr_wasted;
	}
	public void setSr_wasted(Double sr_wasted) {
		this.sr_wasted = sr_wasted;
	}

	/** 
	 * 平整作废_成品数
	 */ 
	@Column
	private Long sr_wasted_cnt;
	public Long getSr_wasted_cnt() {
		return this.sr_wasted_cnt;
	}
	public void setSr_wasted_cnt(Long sr_wasted_cnt) {
		this.sr_wasted_cnt = sr_wasted_cnt;
	}

	/** 
	 * 平整作废_原料量
	 */ 
	@Column
	private Double mat_sr_wasted;
	public Double getMat_sr_wasted() {
		return this.mat_sr_wasted;
	}
	public void setMat_sr_wasted(Double mat_sr_wasted) {
		this.mat_sr_wasted = mat_sr_wasted;
	}

	/** 
	 * 平整作废_原料数
	 */ 
	@Column
	private Long mat_sr_wasted_cnt;
	public Long getMat_sr_wasted_cnt() {
		return this.mat_sr_wasted_cnt;
	}
	public void setMat_sr_wasted_cnt(Long mat_sr_wasted_cnt) {
		this.mat_sr_wasted_cnt = mat_sr_wasted_cnt;
	}

	/** 
	 * 平整脱单_原料量
	 */ 
	@Column
	private Double mat_sr_divorced;
	public Double getMat_sr_divorced() {
		return this.mat_sr_divorced;
	}
	public void setMat_sr_divorced(Double mat_sr_divorced) {
		this.mat_sr_divorced = mat_sr_divorced;
	}

	/** 
	 * 平整脱单_原料数
	 */ 
	@Column
	private Long mat_sr_divorced_cnt;
	public Long getMat_sr_divorced_cnt() {
		return this.mat_sr_divorced_cnt;
	}
	public void setMat_sr_divorced_cnt(Long mat_sr_divorced_cnt) {
		this.mat_sr_divorced_cnt = mat_sr_divorced_cnt;
	}

	/** 
	 * 平整充当_原料量
	 */ 
	@Column
	private Double mat_sr_replaced;
	public Double getMat_sr_replaced() {
		return this.mat_sr_replaced;
	}
	public void setMat_sr_replaced(Double mat_sr_replaced) {
		this.mat_sr_replaced = mat_sr_replaced;
	}

	/** 
	 * 平整充当_原料数
	 */ 
	@Column
	private Long mat_sr_replaced_cnt;
	public Long getMat_sr_replaced_cnt() {
		return this.mat_sr_replaced_cnt;
	}
	public void setMat_sr_replaced_cnt(Long mat_sr_replaced_cnt) {
		this.mat_sr_replaced_cnt = mat_sr_replaced_cnt;
	}

	/** 
	 * 补整原料重
	 */ 
	@Column
	private Double extra_sr;
	public Double getExtra_sr() {
		return this.extra_sr;
	}
	public void setExtra_sr(Double extra_sr) {
		this.extra_sr = extra_sr;
	}

	/** 
	 * 补整原料数
	 */ 
	@Column
	private Long extra_sr_cnt;
	public Long getExtra_sr_cnt() {
		return this.extra_sr_cnt;
	}
	public void setExtra_sr_cnt(Long extra_sr_cnt) {
		this.extra_sr_cnt = extra_sr_cnt;
	}

	/** 
	 * 补整次数
	 */ 
	@Column
	private Long extra_sr_times;
	public Long getExtra_sr_times() {
		return this.extra_sr_times;
	}
	public void setExtra_sr_times(Long extra_sr_times) {
		this.extra_sr_times = extra_sr_times;
	}
	
	/** 
	 * 已轧制设计_成品量
	 */ 
	@Column
	private Double rl_dsn;
	public Double getRl_dsn() {
		return this.rl_dsn;
	}
	public void setRl_dsn(Double rl_dsn) {
		this.rl_dsn = rl_dsn;
	}

	/** 
	 * 已轧制设计_成品数
	 */ 
	@Column
	private Long rl_dsn_cnt;
	public Long getRl_dsn_cnt() {
		return this.rl_dsn_cnt;
	}
	public void setRl_dsn_cnt(Long rl_dsn_cnt) {
		this.rl_dsn_cnt = rl_dsn_cnt;
	}

	/** 
	 * 已轧制设计_原料量
	 */ 
	@Column
	private Double mat_rl_dsn;
	public Double getMat_rl_dsn() {
		return this.mat_rl_dsn;
	}
	public void setMat_rl_dsn(Double mat_rl_dsn) {
		this.mat_rl_dsn = mat_rl_dsn;
	}

	/** 
	 * 已轧制设计_原料数
	 */ 
	@Column
	private int mat_rl_dsn_cnt;
	public int getMat_rl_dsn_cnt() {
		return this.mat_rl_dsn_cnt;
	}
	public void setMat_rl_dsn_cnt(int mat_rl_dsn_cnt) {
		this.mat_rl_dsn_cnt = mat_rl_dsn_cnt;
	}

	/** 
	 * 欠轧制设计_成品量
	 */ 
	@Column
	private Double rl_undsn;
	public Double getRl_undsn() {
		return this.rl_undsn;
	}
	public void setRl_undsn(Double rl_undsn) {
		this.rl_undsn = rl_undsn;
	}

	/** 
	 * 欠轧制设计_成品数
	 */ 
	@Column
	private Long rl_undsn_cnt;
	public Long getRl_undsn_cnt() {
		return this.rl_undsn_cnt;
	}
	public void setRl_undsn_cnt(Long rl_undsn_cnt) {
		this.rl_undsn_cnt = rl_undsn_cnt;
	}

	/** 
	 * 轧制排产_成品量
	 */ 
	@Column
	private Double rl_planed;
	public Double getRl_planed() {
		return this.rl_planed;
	}
	public void setRl_planed(Double rl_planed) {
		this.rl_planed = rl_planed;
	}

	/** 
	 * 轧制排产_成品数
	 */ 
	@Column
	private int rl_planed_cnt;
	public int getRl_planed_cnt() {
		return this.rl_planed_cnt;
	}
	public void setRl_planed_cnt(int rl_planed_cnt) {
		this.rl_planed_cnt = rl_planed_cnt;
	}

	/** 
	 * 已轧制_成品量
	 */ 
	@Column
	private Double rl;
	public Double getRl() {
		return this.rl;
	}
	public void setRl(Double rl) {
		this.rl = rl;
	}

	/** 
	 * 已轧制_成品数
	 */ 
	@Column
	private Long rl_cnt;
	public Long getRl_cnt() {
		return this.rl_cnt;
	}
	public void setRl_cnt(Long rl_cnt) {
		this.rl_cnt = rl_cnt;
	}

	/** 
	 * 已轧制_原料量
	 */ 
	@Column
	private Double mat_rl;
	public Double getMat_rl() {
		return this.mat_rl;
	}
	public void setMat_rl(Double mat_rl) {
		this.mat_rl = mat_rl;
	}

	/** 
	 * 已轧制_原料数
	 */ 
	@Column
	private Long mat_rl_cnt;
	public Long getMat_rl_cnt() {
		return this.mat_rl_cnt;
	}
	public void setMat_rl_cnt(Long mat_rl_cnt) {
		this.mat_rl_cnt = mat_rl_cnt;
	}

	/** 
	 * 轧制作废_成品量
	 */ 
	@Column
	private Double rl_wasted;
	public Double getRl_wasted() {
		return this.rl_wasted;
	}
	public void setRl_wasted(Double rl_wasted) {
		this.rl_wasted = rl_wasted;
	}

	/** 
	 * 轧制作废_成品数
	 */ 
	@Column
	private Long rl_wasted_cnt;
	public Long getRl_wasted_cnt() {
		return this.rl_wasted_cnt;
	}
	public void setRl_wasted_cnt(Long rl_wasted_cnt) {
		this.rl_wasted_cnt = rl_wasted_cnt;
	}

	/** 
	 * 轧制作废_原料量
	 */ 
	@Column
	private Double mat_rl_wasted;
	public Double getMat_rl_wasted() {
		return this.mat_rl_wasted;
	}
	public void setMat_rl_wasted(Double mat_rl_wasted) {
		this.mat_rl_wasted = mat_rl_wasted;
	}

	/** 
	 * 轧制作废_原料数
	 */ 
	@Column
	private Long mat_rl_wasted_cnt;
	public Long getMat_rl_wasted_cnt() {
		return this.mat_rl_wasted_cnt;
	}
	public void setMat_rl_wasted_cnt(Long mat_rl_wasted_cnt) {
		this.mat_rl_wasted_cnt = mat_rl_wasted_cnt;
	}

	/** 
	 * 轧制脱单_原料量
	 */ 
	@Column
	private Double mat_rl_divorced;
	public Double getMat_rl_divorced() {
		return this.mat_rl_divorced;
	}
	public void setMat_rl_divorced(Double mat_rl_divorced) {
		this.mat_rl_divorced = mat_rl_divorced;
	}

	/** 
	 * 轧制脱单_原料数
	 */ 
	@Column
	private Long mat_rl_divorced_cnt;
	public Long getMat_rl_divorced_cnt() {
		return this.mat_rl_divorced_cnt;
	}
	public void setMat_rl_divorced_cnt(Long mat_rl_divorced_cnt) {
		this.mat_rl_divorced_cnt = mat_rl_divorced_cnt;
	}

	/** 
	 * 轧制充当_原料量
	 */ 
	@Column
	private Double mat_rl_replaced;
	public Double getMat_rl_replaced() {
		return this.mat_rl_replaced;
	}
	public void setMat_rl_replaced(Double mat_rl_replaced) {
		this.mat_rl_replaced = mat_rl_replaced;
	}

	/** 
	 * 轧制充当_原料数
	 */ 
	@Column
	private Long mat_rl_replaced_cnt;
	public Long getMat_rl_replaced_cnt() {
		return this.mat_rl_replaced_cnt;
	}
	public void setMat_rl_replaced_cnt(Long mat_rl_replaced_cnt) {
		this.mat_rl_replaced_cnt = mat_rl_replaced_cnt;
	}

	/** 
	 * 补轧原料重
	 */ 
	@Column
	private Double extra_rl;
	public Double getExtra_rl() {
		return this.extra_rl;
	}
	public void setExtra_rl(Double extra_rl) {
		this.extra_rl = extra_rl;
	}

	/** 
	 * 补轧原料数
	 */ 
	@Column
	private Long extra_rl_cnt;
	public Long getExtra_rl_cnt() {
		return this.extra_rl_cnt;
	}
	public void setExtra_rl_cnt(Long extra_rl_cnt) {
		this.extra_rl_cnt = extra_rl_cnt;
	}

	/** 
	 * 补轧次数
	 */ 
	@Column
	private Long extra_rl_times;
	public Long getExtra_rl_times() {
		return this.extra_rl_times;
	}
	public void setExtra_rl_times(Long extra_rl_times) {
		this.extra_rl_times = extra_rl_times;
	}


	/** 
	 * 已酸洗设计_成品量
	 */ 
	@Column
	private Double pc_dsn;
	public Double getPc_dsn() {
		return this.pc_dsn;
	}
	public void setPc_dsn(Double pc_dsn) {
		this.pc_dsn = pc_dsn;
	}

	/** 
	 * 已酸洗设计_成品数
	 */ 
	@Column
	private Long pc_dsn_cnt;
	public Long getPc_dsn_cnt() {
		return this.pc_dsn_cnt;
	}
	public void setPc_dsn_cnt(Long pc_dsn_cnt) {
		this.pc_dsn_cnt = pc_dsn_cnt;
	}

	/** 
	 * 已酸洗设计_原料量
	 */ 
	@Column
	private Double mat_pc_dsn;
	public Double getMat_pc_dsn() {
		return this.mat_pc_dsn;
	}
	public void setMat_pc_dsn(Double mat_pc_dsn) {
		this.mat_pc_dsn = mat_pc_dsn;
	}

	/** 
	 * 已酸洗设计_原料数
	 */ 
	@Column
	private int mat_pc_dsn_cnt;
	public int getMat_pc_dsn_cnt() {
		return this.mat_pc_dsn_cnt;
	}
	public void setMat_pc_dsn_cnt(int mat_pc_dsn_cnt) {
		this.mat_pc_dsn_cnt = mat_pc_dsn_cnt;
	}

	/** 
	 * 欠酸洗设计_成品量
	 */ 
	@Column
	private Double pc_undsn;
	public Double getPc_undsn() {
		return this.pc_undsn;
	}
	public void setPc_undsn(Double pc_undsn) {
		this.pc_undsn = pc_undsn;
	}

	/** 
	 * 欠酸洗设计_成品数
	 */ 
	@Column
	private Long pc_undsn_cnt;
	public Long getPc_undsn_cnt() {
		return this.pc_undsn_cnt;
	}
	public void setPc_undsn_cnt(Long pc_undsn_cnt) {
		this.pc_undsn_cnt = pc_undsn_cnt;
	}

	/** 
	 * 酸洗排产_成品量
	 */ 
	@Column
	private Double pc_planed;
	public Double getPc_planed() {
		return this.pc_planed;
	}
	public void setPc_planed(Double pc_planed) {
		this.pc_planed = pc_planed;
	}

	/** 
	 * 酸洗排产_成品数
	 */ 
	@Column
	private Integer pc_planed_cnt;
	public Integer getPc_planed_cnt() {
		return this.pc_planed_cnt;
	}
	public void setPc_planed_cnt(Integer pc_planed_cnt) {
		this.pc_planed_cnt = pc_planed_cnt;
	}

	/** 
	 * 已酸洗_成品量
	 */ 
	@Column
	private Double pc;
	public Double getPc() {
		return this.pc;
	}
	public void setPc(Double pc) {
		this.pc = pc;
	}

	/** 
	 * 已酸洗_成品数
	 */ 
	@Column
	private Long pc_cnt;
	public Long getPc_cnt() {
		return this.pc_cnt;
	}
	public void setPc_cnt(Long pc_cnt) {
		this.pc_cnt = pc_cnt;
	}

	/** 
	 * 已酸洗_原料量
	 */ 
	@Column
	private Double mat_pc;
	public Double getMat_pc() {
		return this.mat_pc;
	}
	public void setMat_pc(Double mat_pc) {
		this.mat_pc = mat_pc;
	}

	/** 
	 * 已酸洗_原料数
	 */ 
	@Column
	private Long mat_pc_cnt;
	public Long getMat_pc_cnt() {
		return this.mat_pc_cnt;
	}
	public void setMat_pc_cnt(Long mat_pc_cnt) {
		this.mat_pc_cnt = mat_pc_cnt;
	}

	/** 
	 * 酸洗作废_成品量
	 */ 
	@Column
	private Double pc_wasted;
	public Double getPc_wasted() {
		return this.pc_wasted;
	}
	public void setPc_wasted(Double pc_wasted) {
		this.pc_wasted = pc_wasted;
	}

	/** 
	 * 酸洗作废_成品数
	 */ 
	@Column
	private Long pc_wasted_cnt;
	public Long getPc_wasted_cnt() {
		return this.pc_wasted_cnt;
	}
	public void setPc_wasted_cnt(Long pc_wasted_cnt) {
		this.pc_wasted_cnt = pc_wasted_cnt;
	}

	/** 
	 * 酸洗作废_原料量
	 */ 
	@Column
	private Double mat_pc_wasted;
	public Double getMat_pc_wasted() {
		return this.mat_pc_wasted;
	}
	public void setMat_pc_wasted(Double mat_pc_wasted) {
		this.mat_pc_wasted = mat_pc_wasted;
	}

	/** 
	 * 酸洗作废_原料数
	 */ 
	@Column
	private Long mat_pc_wasted_cnt;
	public Long getMat_pc_wasted_cnt() {
		return this.mat_pc_wasted_cnt;
	}
	public void setMat_pc_wasted_cnt(Long mat_pc_wasted_cnt) {
		this.mat_pc_wasted_cnt = mat_pc_wasted_cnt;
	}

	/** 
	 * 酸洗脱单_原料量
	 */ 
	@Column
	private Double mat_pc_divorced;
	public Double getMat_pc_divorced() {
		return this.mat_pc_divorced;
	}
	public void setMat_pc_divorced(Double mat_pc_divorced) {
		this.mat_pc_divorced = mat_pc_divorced;
	}

	/** 
	 * 酸洗脱单_原料数
	 */ 
	@Column
	private Long mat_pc_divorced_cnt;
	public Long getMat_pc_divorced_cnt() {
		return this.mat_pc_divorced_cnt;
	}
	public void setMat_pc_divorced_cnt(Long mat_pc_divorced_cnt) {
		this.mat_pc_divorced_cnt = mat_pc_divorced_cnt;
	}

	/** 
	 * 酸洗充当_原料量
	 */ 
	@Column
	private Double mat_pc_replaced;
	public Double getMat_pc_replaced() {
		return this.mat_pc_replaced;
	}
	public void setMat_pc_replaced(Double mat_pc_replaced) {
		this.mat_pc_replaced = mat_pc_replaced;
	}

	/** 
	 * 酸洗充当_原料数
	 */ 
	@Column
	private Long mat_pc_replaced_cnt;
	public Long getMat_pc_replaced_cnt() {
		return this.mat_pc_replaced_cnt;
	}
	public void setMat_pc_replaced_cnt(Long mat_pc_replaced_cnt) {
		this.mat_pc_replaced_cnt = mat_pc_replaced_cnt;
	}

	/** 
	 * 补洗原料重
	 */ 
	@Column
	private Double extra_pc;
	public Double getExtra_pc() {
		return this.extra_pc;
	}
	public void setExtra_pc(Double extra_pc) {
		this.extra_pc = extra_pc;
	}

	/** 
	 * 补洗原料数
	 */ 
	@Column
	private Long extra_pc_cnt;
	public Long getExtra_pc_cnt() {
		return this.extra_pc_cnt;
	}
	public void setExtra_pc_cnt(Long extra_pc_cnt) {
		this.extra_pc_cnt = extra_pc_cnt;
	}

	/** 
	 * 补洗次数
	 */ 
	@Column
	private Long extra_pc_times;
	public Long getExtra_pc_times() {
		return this.extra_pc_times;
	}
	public void setExtra_pc_times(Long extra_pc_times) {
		this.extra_pc_times = extra_pc_times;
	}
	
	
	/**
	 * 发运量
	*/
	@Column
	private Double shipped;
	public Double getShipped() {
		return shipped;
	}
	public void setShipped(Double shipped) {
		this.shipped = shipped;
	}
	
	/**
	 * 结算量
	 */
	@Column
	private Double settleed;
	public Double getSettleed() {
		return settleed;
	}
	public void setSettleed(Double settleed) {
		this.settleed = settleed;
	}
	
	
	/**
	 * 生产完成量
	 */
	@Column
	private Double producted;
	public Double getProducted() {
		return producted;
	}
	public void setProducted(Double producted) {
		this.producted = producted;
	}
	
	/**
	 *发运数
	 */
	@Column
	private Integer shipped_cnt ; 
	public Integer getShipped_cnt() {
		return shipped_cnt;
	}
	public void setShipped_cnt(Integer shipped_cnt) {
		this.shipped_cnt = shipped_cnt;
	}
	
	
	/**
	 * 结算数
	 */
	@Column
	private Integer settleed_cnt ; 
	public Integer getSettleed_cnt() {
		return settleed_cnt;
	}
	public void setSettleed_cnt(Integer settleed_cnt) {
		this.settleed_cnt = settleed_cnt;
	}
	
	/**
	 * 生产完成数
	 */
	@Column
	private Integer producted_cnt ;
	public Integer getProducted_cnt() {
		return producted_cnt;
	}
	public void setProducted_cnt(Integer producted_cnt) {
		this.producted_cnt = producted_cnt;
	} 

}
